[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [bridgedb/develop] Use pip --no-binaries :all: for newer versions of pip.
commit 09e6cb3577a06385f5350ba0d5187cb3914e01f3
Author: Isis Lovecruft <isis@xxxxxxxxxxxxxx>
Date: Thu Sep 8 16:56:27 2016 +0000
Use pip --no-binaries :all: for newer versions of pip.
---
scripts/install-dependencies | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)
diff --git a/scripts/install-dependencies b/scripts/install-dependencies
index f9a3a15..189cf53 100755
--- a/scripts/install-dependencies
+++ b/scripts/install-dependencies
@@ -6,7 +6,17 @@ SUDO=
APT_GET=$(which apt-get)
APT_FLAGS='-q --no-install-suggests --no-install-recommends'
PIP=$(which pip)
-PIP_FLAGS='--no-use-wheel'
+PIP_FLAGS=
+
+# If this doesn't work, then the version of pip is very old and we need to use --no-use-wheel
+$PIP --no-binaries :all:
+
+if test "$?" -eq 2 ; then
+ PIP_FLAGS=$PIP_FLAGS' --no-use-wheel'
+else
+ PIP_FLAGS=$PIP_FLAGS' --no-binaries :all:'
+fi
+
DEPENDS="build-essential openssl sqlite3 python-dev python-setuptools"
DEPENDS="${DEPENDS} libgeoip-dev geoip-database libjpeg-dev"
HERE=$(dirname $0)
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits